Manual

LumiSoft Mail Server

manual

2003, LumiSoft OÜ

info@lumisoft.ee


Introduction.

Programm LumiSoft Mail Server is a mailserver. Programm is F R E E W A R E !!!

Features:

  • Supports multiple domains
  • Supports multiple e-address for one mailbox
  • Supports aliases(Mailing lists)
  • Supports email routing. eg *ivar* pattern routes all addresses containing ivar to specified mailbox or remote address
  • IP access filtering
  • SMTP AUTH (LOGIN CRAM-MD5) (supported authentication types)
  • SMTP SIZE, PIPELINING, 8BITMIME support
  • SMTP custom message filters
  • POP3 APOP command
  • POP3 remote accounts
  • User mailbox size limit
  • Full MS SQL server support
  • Nice GUI for administation
  • Well commented source included

LumiSoft Mail Server requirements:

SOFTWARE:

  • Op.system Microsoft Windows (Win98 / Win2000 Pro / Server, WinXP Pro / Server, WinNT (SP6) Workstation / 4.0 Server).
  • Internet browser Microsoft Internet Explorer 6 SP1 or newer.
  • Microsoft .NET Framework 1.1.

HARDWARE:

  • Permanent Internet connection with static IP.

Software installation order:

  • Microsoft Internet Explorer
  • Microsoft .NET Framework 1.1
  • ---
  • LumiSoft Mail Server


Install and Uninstall.

Installing and uninstalling mailserver.

Running as services (NT/2000/XP):

  • Just copy mailserver files from Release folder to some location in HDD.
  • Configure domains, users and settings.
  • Use register.bat to install server and a_unregister.bat to uninstall server.

Running as Tray app (WIN98/NT/2000/XP):

  • Just copy mailserver files from Release folder to some location in HDD.
  • Configure domains, users and settings.
  • Add new shortcut to Windows Startup menu as '...\lsMailServer.exe trayapp' and restart Windows. Trayapp parameter in lsMailServer.exe forces server to run as TrayApp.

Note: Running as Tray app is advisable to use only in Windows 98, because in order to use mailserver, you must be logged on in Windows.


Remote Administration.

Remotely administrating mailserver.

  • Make RemoteAdmin folder to www Application (suggestion: disable anonymous access).
  • Edit global.asax row this.Application["SettingsPath"] = your_mailserver_settings_path + "/" at end.
  • To connect thorough webservices, just open manager and "Connect to remote server". WebServices URL syntax = http://your_server/www_app_name/remoteadmin.asmx.


xxx

Getting Started.

  • To configure server run MailServerManager.exe, which opens LS Mail Server Manager main window.

  • Make domain. Remove example row if needed. For window fields details see domains.

  • Make users. Remove example row if needed. For window fields details see users.

  • Configure security if needed. For window fields details see security.

    PS! If you do not know how to configure security, DO NOT REMOVE example rows. With those example rows you can send and receive mails and prevent others from using your mailserver to send mails.


Known Problems.

Some general known problems users have asked.

Problem: Can't relay from client computers.

Solution: This is because relay is enabled for client computer IP.

  • Allow relay for IP or IP range (in manager).
  • Setup SMTP authentication in SMTP Client. User names and passwords are same as in POP3 account.

Problem: Can't relay in server computer using localhost.

Solution: This is because relay is enabled for localhost.

  • Allow relay for IP 127.0.0.1 (localhost).
  • Setup SMTP authentication in SMTP Client. User names and passwords are same as in POP3 account.

Problem: Can't access SMTP/POP3 from LAN or WAN.

Solution: Check if in server security SMTP/POP3 access is enabled for your connecting IP.

Problem: Can't receive messages, but can telnet to public IP and MAIL FORM:<xxx>, RCPT TO:<your_adress@domain.xx> shows "OK".

Solution: Check that you have MX record associated with your domain.

Problem: Can't receive messages and get 550 reply, but user and domain exists.

Solution: After register.bat you must get mailServiceError.log with line "System:Only one usage of each socket address (protocol/network address/port) is normally permitted". Check that you are not running another SMTP Server software like IIS SMTP.


Windows.

  • Server
  • System
  • Domains
  • Users
  • Aliases
  • Routing
  • Security
  • Filters


Server.

aaa...

  • Backup Server - To backup server data.
  • Restore Server - To restore server data.

  • Create New Domain - To create new doman. Opens domain window.
  • Create New User - To create new user. Opens user window.
  • Create New Alias - To create new alias. Opens alias window.
  • Create New Route - To create new route. Opens route window.

  • Block SMTP for IP / IP Range - To block SMTP for IP / IP Range. Opens security entry window.
  • Allow SMTP for IP / IP Range - To allow SMTP for IP / IP Range. Opens security entry window.
  • Block POP3 for IP / IP Range - To block POP3 for IP / IP Range. Opens security entry window.
  • Allow POP3 for IP / IP Range - To allow POP3 for IP / IP Range. Opens security entry window.
  • Deny Relay for IP / IP Range - To deny Relay for IP / IP Range. Opens security entry window.
  • Allow Relay for IP / IP Range - To allow Relay for IP / IP Range. Opens security entry window.

Related topics:

Windows


System.

General (picture 1):

  • DataBase Type - Database type.
    • XML -
    • MSSQL -
  • Connection String - Database connection string.
  • Mail Store Path - Mail store folder location.
  • Log SMTP Commands - If checkbox is checked, then SMTP commands are logged.
  • Log POP3 Commands - If checkbox is checked, then POP3 commands are logged.
  • Log Server Events - If checkbox is checked, then server events are logged.
  • Path - Log file folder location.
  • Get Path button - To get log file folder location.

SMTP (picture 2):

  • Session Idle Timeout - Session idle timeout in seconds.
  • Command Idle Timeout - Command idle timeout in seconds.
  • Postmaster User Name - Postmaster login name.
  • Postmaster Password - Postmaster password.
  • Max. Message Size - Maximum message size in megabytes.
  • Max. Recipients per Message - Maximum recipients per message.
  • Max. Bad Commands - Maximum bad commands.
  • SMTP IP Address - SMTP IP address.
  • SMTP Port on IP Address Above - SMTP port number on IP address.
  • Max. SMTP Threads - Maximum SMTP threads.

POP3 (picture 3):

  • Session Idle Timeout - Session idle timeout in seconds.
  • Command Idle Timeout - Command idle timeout in seconds.
  • Max. Bad Commands - Maximum bad commands.
  • POP3 IP Address - POP3 IP address.
  • POP3 Port on IP Address Above - POP3 port number on IP address.
  • Max. POP3 Threads - Maximum POP3 threads.

Delivery (picture 4):

  • Send Mails Through Smart Host - Send mails through Smart Host.
    • Smart Host - Smart Host name.
  • Send Mails Directly using DNS - Send mails directly using DNS.
    • Primary DNS - Primary DNS address.
    • Secondary DNS - Secondary DNS address.
  • Max. Delivery Threads - Maximum delivery threads.
  • Relay Interval - Relay interval in seconds.
  • Relay Retry Interval - Relay retry interval in seconds.
  • Send Undelivered Warning After - Undelivered warning text sending in minutes.
  • Edit Undelivered Warning Text button - To edit undelivered warning text
  • Send Undelivered After - Undelivered text sending in hours.
  • Edit Undelivered Text button - To edit undelivered text.
  • Store Undelivered messages - If checkbox is checked, then undelivered messages are stored.

Picture 1.

Picture 2.

Picture 3.

Picture 4.

Picture 5.

Related topics:

Windows


Domains.

Table:

  • Domain Name - Domain name.
  • Description - Domain description.

ToolBar Buttons:

  • Create New Domain - To create new domain. Location - first button from left; appearance - white blank page.
  • Delete Domain - To delete selected domain. Location - second button from left; appearance - with red stripes crossed out page.

Create New Domain:

  • To create new domain, click 'Create New Domain' button from toolbar, which opens domain window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete Domain:

  • Select domain you want to delete from the table.
  • To delete domain, click 'Delete Domain' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete domain.
  • To delete domain, click 'Yes' button, else click 'No' button.

Related topics:

Windows


Users.

Table:

  • Mailbox - User mailbox.
  • E-mail Address - User e-mail address.
  • Description - User description.

ToolBar Buttons:

  • Create New User - To create new user. Location - first button from left; appearance - white blank page.
  • Delete User - To delete selected user. Location - second button from left; appearance - with red stripes crossed out page.
  • Edit User - To edit selected user. Location - third button from left; appearance - page with small cross at upper right corner.

Create New User:

  • To create new user, click 'Create New User' button from toolbar, which opens user window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete User:

  • Select user you want to delete from the table.
  • To delete user, click 'Delete User' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete user.
  • To delete user, click 'Yes' button, else click 'No' button.

Edit User:

  • Select user you want to edit from the table.
  • To edit user, click 'Edit User' button from toolbar, which opens user window.
  • Make necessary changes.
  • To save data, click 'OK' button, else click 'Cancel' button.

Related topics:

Windows


Aliases.

Table:

  • Alias Name - Alias name.
  • Description - Alias description.
  • Members - Alias members.

ToolBar Buttons:

  • Create New Alias - To create new alias. Location - first button from left; appearance - white blank page.
  • Delete Alias - To delete selected alias. Location - second button from left; appearance - with red stripes crossed out page.
  • Edit Alias - To edit selected alias. Location - third button from left; appearance - page with small cross at upper right corner.

Create New Alias:

  • To create new alias, click 'Create New Alias' button from toolbar, which opens alias window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete Alias:

  • Select alias you want to delete from the table.
  • To delete alias, click 'Delete Alias' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete alias.
  • To delete alias, click 'Yes' button, else click 'No' button.

Edit Alias:

  • Select alias you want to edit from the table.
  • To edit alias, click 'Edit Alias' button from toolbar, which opens alias window.
  • Make necessary changes.
  • To save data, click 'OK' button, else click 'Cancel' button.

Related topics:

Windows


Routing.

Table:

  • Pattern - Route pattern.
  • Mailbox - Route mailbox.
  • Domain - Route domain.
  • Description - Route description.

ToolBar Buttons:

  • Create New Route - To create new route. Location - first button from left; appearance - white blank page.
  • Delete Route - To delete selected route. Location - second button from left; appearance - with red stripes crossed out page.
  • Edit Route - To edit selected route. Location - third button from left; appearance - page with small cross at upper right corner.

Create New Route:

  • To create new route, click 'Create New Route' button from toolbar, which opens route window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete Route:

  • Select route you want to delete from the table.
  • To delete route, click 'Delete Route' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete route.
  • To delete route, click 'Yes' button, else click 'No' button.

Edit Route:

  • Select route you want to edit from the table.
  • To edit route, click 'Edit Route' button from toolbar, which opens route window.
  • Make necessary changes.
  • To save data, click 'OK' button, else click 'Cancel' button.

Related topics:

Windows


Security.

Table:

  • Description - Security entry description.
  • Protocol - Security entry protocol.
  • Type - Security entry type.
  • Action - Security entry action.
  • Content - Security entry content.

ToolBar Buttons:

  • Create New Security Entry - To create new security entry. Location - first button from left; appearance - white blank page.
  • Delete Security Entry - To delete selected security entry. Location - second button from left; appearance - with red stripes crossed out page.
  • Edit Security Entry - To edit selected security entry. Location - third button from left; appearance - page with small cross at upper right corner.

Create New Security Entry:

  • To create new security entry, click 'Create New Security Entry' button from toolbar, which opens security entry window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete Security Entry:

  • Select security entry you want to delete from the table.
  • To delete security entry, click 'Delete Security Entry' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete security entry.
  • To delete security entry, click 'Yes' button, else click 'No' button.

Edit Security Entry:

  • Select security entry you want to edit from the table.
  • To edit security entry, click 'Edit Security Entry' button from toolbar, which opens security entry window.
  • Make necessary changes.
  • To save data, click 'OK' button, else click 'Cancel' button.

Related topics:

Windows


Filters.

Table:

  • Cost - Filter cost.
  • Description - Filter description.
  • Assembly - Filter assembly.
  • Class Name - Filter class name.

ToolBar Buttons:

  • Create New Filter - To create new filter. Location - first button from left; appearance - white blank page.
  • Delete Filter - To delete selected filter. Location - second button from left; appearance - with red stripes crossed out page.
  • Edit Filter - To edit selected filter. Location - third button from left; appearance - page with small cross at upper right corner.

Create New Filter:

  • To create new filter, click 'Create New Filter' button from toolbar, which opens filter window.
  • Fill necessary fields.
  • To save data, click 'OK' button, else click 'Cancel' button.

Delete Filter:

  • Select filter you want to delete from the table.
  • To delete filter, click 'Delete Filter' button from toolbar.
  • After clicking 'Delete...' button appears window, which asks confirmation to delete filter.
  • To delete filter, click 'Yes' button, else click 'No' button.

Edit Filter:

  • Select filter you want to edit from the table.
  • To edit filter, click 'Edit Filter' button from toolbar, which opens filter window.
  • Make necessary changes.
  • To save data, click 'OK' button, else click 'Cancel' button.

Related topics:

Windows


Alias.

  • Alias Name - Alias name.
  • Domains - Domains.
  • Description - Alias description.
  • Member E-mail address - Member e-mail address.
  • Member E-mail addresses list - Member e-mail addresses list.
  • Add button - To add member e-mail address.
  • Remove button - To remove e-mail address.
  • OK button - To save alias data.
  • Cancel button - Not to save alias data.

Related topics:


Domain.

  • Domain - Domain name.
  • Description - Domain description.
  • OK button - To save domain data.
  • Cancel button - Not to save domain data.

Related topics:


Filter.

  • Description - Filter description.
  • Assembly - Filter assembly.
  • Get Assembly button - To get filter assembly.
  • Class - Filter class.
  • Cost - Filter cost.
  • Enabled - If checkbox is checked, then filter is enabled.
  • OK button - To save filter data.
  • Cancel button - Not to save filter data.

Related topics:


Route.

  • Match Pattern - Route match pattern.
  • Domains - Domains.
  • Route Type - Route type.
    • Route to Mailbox - Route to mailbox.
    • Route to Remote Address - Route to remote address.
  • Route to - Route to where.
  • Description - Route description.
  • OK button - To save route data.
  • Cancel button - Not to save route data.

Related topics:


Security Entry.

  • Description - Security entry description.
  • Protocol - Security entry protocol.
    • SMTP - SMTP protocol.
    • POP3 - POP3 protocol.
  • Type - Security entry type.
    • IP - (picture 1)
    • IP Range - (picture 2)
  • Action - Security entry action.
    • Allow -
    • Deny -
    • Allow Relay -
    • Deny Relay -
  • IP Address - IP address. If security entry protocol is SMTP, then there are two IP address fields (picture 2) - start IP address and end IP address.
  • OK button - To save security entry data.
  • Cancel button - Not to save security entry data.

Picture 1.

Picture 2.

Related topics:


User.

General (picture 1):

  • Full Name - User full name.
  • User Name - User login name.
  • Password - User password.
  • Generate Password button - To generate user password.
  • Description - User description.
  • Max. Mailbox Size - Maximum mailbox size in megabytes.
  • User Enabled - If checkbox is checked, then user is enabled.
  • Allow Relay - If checkbox is checked, then relay is allowed.
  • E-mail Address - User e-mail address.
  • Domains - Domains.
  • E-mail Address list - User e-mail addresses.
  • Add button - To add user e-mail address.
  • Remove button - To remove selected e-mail address.

POP3 Remote Accounts (picture 2):

  • Server - POP3 server name.
  • Port - POP3 server port number.
  • User Name - User login name.
  • Password - User password.
  • Add button - To add account.
  • Delete button - To delete selected account.
  • Table - Accounts list.

Picture 1.

Picture 2.

Related topics: